Apps
These API endpoints are related to apps and interviews for positions on our list.
GET
Gets the current applications metadata. Returns a AppMeta object. See schema for more info.
Success
application/json- response
positions?array<>stable?booleancurl -X GET 'https://spider.omniplex.gg/apps/meta'Example Response
{ "positions": [ { "closed": true, "cooldown": 0, "help_label": "string", "help_url": "string", "hidden": true, "id": "string", "info": "string", "name": "string", "questions": [ { "flag": [ "string" ], "id": "string", "max_length": 0, "min_length": 0, "optional": true, "options": [ "string" ], "paragraph": "string", "placeholder": "string", "question": "string", "short": true, "show_if": { "question_id": "string", "values": [ "string" ] }, "type": "string" } ], "requires_main_server": true, "summary": "string", "tags": [ "string" ] } ], "stable": true}GET
Gets all applications of the user returning a list of apps.
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
user_id*stringThe ID of the user to use.
Success
application/json- response
apps?array<>curl -X GET 'https://spider.omniplex.gg/users/string/apps'Example Response
{ "apps": [ { "answers": { "property1": "string", "property2": "string" }, "app_id": "string", "created_at": "2019-08-24T14:15:22Z", "in_main_server": true, "position": "string", "questions": [ { "flag": [ "string" ], "id": "string", "max_length": 0, "min_length": 0, "optional": true, "options": [ "string" ], "paragraph": "string", "placeholder": "string", "question": "string", "short": true, "show_if": { "question_id": "string", "values": [ "string" ] }, "type": "string" } ], "review_feedback": "string", "state": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "user_id": "string" } ]}POST
Creates an application for a position. Returns a 204 on success.
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
user_id*stringThe ID of the user to create the application for.
application/json- body
answers?position?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/users/string/apps' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "context": { "property1": "string", "property2": "string" }, "message": "string"}